Package org.lwjgl.opengl

# Class ARBTextureGather

java.lang.Object
org.lwjgl.opengl.ARBTextureGather

public final class ARBTextureGather extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB

public static final int GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB

public static final int GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB

public static final int GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values